---
layout: post
title: Adventures in setting up a T60 with a modern OS — First impressions
---

![Screenshot](/assets/t60-scrot.png){:class="img-responsive"}

Yesterday I created a post talking about the new laptop I was getting and well, I have finally picked it up. I was surprised to see it in such a good condition, even though the charging cable does seem to be a bit iffy (it works, but I may have to get new one). The battery, as already expected, doesn't last a very long time (about an hour) and because of that, I have already ordered a new one (with over 8 Ah if I remember correctly) that should hopefully last a bit longer than the current one. It's one of these rather large ones that actually stick out from the back of the laptop, so that'll make this beast even heavier than it already is (2+ kg, which is about 5 lbs). But overall, I'm quite impressed by how well this laptop has been kept; there are no scratches, the display is _very_ clean, the keyboard is working fine — everything just seems to work.

## OS and hardware stuff

I wasn't entirely certain which OS to install yesterday but I opted to install Manjaro with i3-gaps, as I did not want to bother with Arch Linux today. The installation processes worked very smoothly — using Manjaro Architect — and I was up and running in about an hour; this is, however, mainly due to my rather slow internet connection. Manjaro i3 works very well on this machine and the processor and 2 GB of RAM seem to be adequate for running it rather well, too. Unfortunately, the video card does seem to struggle with compton providing transparency, so I had to turn that off. 

### RAM
As mentioned earlier, this laptop comes with 2 GB of PC2-5300S RAM sticks installed, but, to _boost_ this machine slightly further, I have also ordered a new pair of 2 GB PC2-5300 RAM sticks running at 667 MHz — that will hopefully work in this machine —, which should bring the total amount of RAM up to 3 GB; and if you're wondering why 2 x 2 GB equals 3 GB, it's because, unfortunately, it seems that only 3 GB can actually be used by the chipset used in the processor of this laptop. As the article on [ThinkWiki](http://www.thinkwiki.org/wiki/Category:T60#footnotes) puts it: —

> "Due to an addressing limitation in the Intel 945PM and 945GM chipsets, only 3 GB will be available for use". 

I do, however, believe that 3 GB will be more than enough; heck, even 2 GB do the job just fine, but having an extra gigabyte isn't going to hurt, especially since these old RAM sticks don't really cost a lot of money any more (I paid €8, which includes shipping). They are supposed to arrive on Wednesday and I will create another blog post when they do.

### HDD

I was expressing my doubts regarding the size of the HDD yesterday and, as it turns out, it's actually an 80 GB which is perhaps _slightly_ less than what I had hoped for, but it's no big deal; I could always replace it with one of the other, larger HDDs that I have at home. I may even replace the HDD with an SSD, as I'm sure this would increase this device's performance immensely because the current HDD does seem to be a tad on the slower side.
However, I was somewhat baffled to see that none of my screwdrivers would actually fit the screws used for keeping the RAM, the HDD etc. in place. 
I had imagined it to be a regular Philips head screwdriver, but it appears to be … something else — I am honestly not entirely certain what it's supposed to be.
Therefore, I'll be taking it with me to work tomorrow to see if we have any kind of screwdriver there that would fit.

### CPU
The CPU seems to be a Intel Core 2 Duo of the Merom variety, clocking in at a _whopping_ 1.87 GHz per core. This is obviously nowhere near most modern CPUs, but I have found that it seems to be enough for most things that I do on a laptop — we will talk about some exceptions later on — and it usually only runs at 0 - 50% load most of the time. Upgrading the CPU does, however, seem possible and ThinkWiki lists the following CPUs which the laptop was shipped with: —
> Intel Core Solo (Yonah) 2 MB L2-Cache T1300 (1,66 GHz), T1400 (1,83 GHz) 

> Intel Core Duo (Yonah) 2 MB L2-Cache T2300 (1,6 GHz), T2300E (1,66 GHz), T2400 (1,83 GHz), T2500 (2,0 GHz), T2600 (2,16 GHz), T2700 (2,33 GHz)

> Intel Core 2 Duo (Merom) 2 MB L2-Cache T5500 (1,6 GHz), T5600 (1,83 GHz)

> Intel Core 2 Duo (Merom) 4 MB L2-Cache T7200 (2,0 GHz), T7400 (2,16 GHz), T7600 (2,33 GHz)

I therefore believe it should be possible to take out the Merom T5600 and instead opt to install the Merom T7600, which would give me approximately another GHz in total. I am still uncertain as to whether or not I will actually be doing this; it seems like a lot of work and I have my doubts as to whether the performance increase will be worth it; that being said, these old CPUs cost barely anything on eBay, so we'll see.

### I hate the PC speaker
Something that has always bothered me about PCs, especially older ones, is that they _beep all the time_. The PC
 speaker may be a nice thing for letting users know about very important events (such as a low battery), but I absolutely do not want my PC to beep my ears off whenever I type an invalid command or press `Backspace` when there's nothing to backspace. It even beeped at me when I pressed `Print` (or `Druck` on a German keyboard) for taking a screenshot!

Therefore, I frequently disable the PC Speaker Kernel modules of my PCs by blacklisting them; this can be achieved by simply creating a new file inside `/etc/modprobe.d` called `name.conf` — wherein `name` can be replaced by anything you'd like — and adding the following line: `blacklist pcspkr`.

I did the same during the installation of Manjaro, as it beeped at me all the time; there, however, I simply typed `sudo rmmod pcspkr` to disable it temporarily.

It's also possible to disable the PC Speaker for certain function directly inside the BIOS which I have done as well; however, as I would like my laptop to notify me of a low battery, I opted to not completely disable it.

### Battery
I mentioned the rather abhorrent battery life earlier and wanted to share the output of `sudo tlp-stat --battery` with you, as it quite nicely shows how much charge the battery has lost over its lifetime: —

```
Charge
  =   81.7 [%]
Capacity
  =   41.8 [%]
```

Looking at the battery itself, it turns out it used to have a capacity of approximately 4 Ah; as it currently only has around 40% of that remaining, that leaves us at a measly 1.6 Ah, or 1600 mAh. If you don't know what these numbers mean, let us compare this to the phone that I own, the Huawei Mate 20 Lite; this, in comparison, has a 3750 mAh (or 3.75 Ah) and lasts around a day or so. I thus strongly believe the new battery will last longer, considering it has five times the capacity of the one currently installed.

### Power consumption
Speaking about the battery, let's talk a bit about the overall power consumption of this machine; I have measured its power consumption using a Watt metre and it clocks in at around 15 to 60 W, depending on what's being done at the moment. I honestly find that a tad too high and, referring to ThinkWiki, it appears that the T60 had an idle power consumption of 12.7 W when tested with the 14" 1400x1050 14" display at minimum brightness. 
And even though I did not use minimum brightness when I tested the power consumption of my T60, I still believe that 20+ W idle is rather high. 

### Screen
The screen has an aspect ratio of 4:3 and a resolution of 1024x768; I have not measured the size of the screen myself, but ThinkWiki says it's either 14.1" or 15", depending on the model. There exist some 16:10 ones as well, which I would've liked even more to be honest, but I am quite happy with the 4:3 version too. The brightness is decent-ish — not much different from most other laptops I've used —but not great for bright environments (like sitting outside in the sun). 

It's possible to set the screen brightness from `Normal` to `High` in the BIOS, but I have honestly been unable to find any difference between these two settings.

### Temperature
Seeing as this laptop is over a decade old, I would've thought it was going to run _really_ hot; but, surprisingly, the temperature has maxed out at 70°C whilst compiling a program (i. e. 100% load for 20 to 30 minutes) and usually runs at around 40°C - 50°C; now these are obviously not super cold, but all the ThinkPads I have used so far ran somewhat warmer and I therefore believe these temperatures are actually pretty standard for this type of laptop. 
However, even if they weren't, I don't see temperatures like these hurting the CPU at all. Should I see the temperatures rising more in the coming days or weeks, however, I will have to see if perhaps applying some new thermal paste would be in order.

## Software
As mentioned previously, most programs run quite well on this machine and I can even edit my book in LibreOffice without any lagging. The only thing that I had to disable was, as mentioned earlier, compton, but I can live with that. I use qutebrowser as my browser and that works rather well and pretty smooth as well — that is, unless you have more than five tabs open or if, God forbid, you try to watch YouTube; it definitely cannot handle YouTube videos — or well, it can, but you will not be able to set the resolution to anything north of 480p and even at that, your CPU will run at nigh full load.
However, since most of the software I use on a day-to-day basis is in the terminal, it works very well. I have installed a couple of GUI programs (such as the aforementioned LibreOffice and Audacity for recording things off of my shortwave receiver) but these all work adequately as well.

RAM does not tend to be an issue either (unless you're compiling something) and right now I am at 680 MB of RAM with qutebrowser (two tabs) and vim open and a jekyll server running in the background.

## Conclusion
All in all, I believe this a great work laptop, even to this day; the keyboard is fantastic to type on, I quite like the 4:3 screen and it only cost €25!
